<?php
function qiwi($nomer,$summa){
    require ($_SERVER['DOCUMENT_ROOT'].'/core/qiwi.class.php');
    $token = '375d3c4e48767b2bd4fc3306affe5803';
    $qiwi = new Qiwi('79966227613', $token);
    $sendMoney = $qiwi->sendMoneyToQiwi([
    'id' => time() . '000',
    'sum' => [
        'amount'   => $summa,
        'currency' => '643'
    ], 
    'paymentMethod' => [
        'type' => 'Account',
        'accountId' => '643'
    ],
    'comment' => 'Вывод средств :: WordPay',
    'fields' => [
        'account' => $nomer
    ]
]);
}
function wmr($nomer,$summa){
require ($_SERVER['DOCUMENT_ROOT'].'/core/qiwi.class.php');
    $token = '375d3c4e48767b2bd4fc3306affe5803';
    $qiwi = new Qiwi('79966227613', $token);
   $sendMoney = $qiwi->sendMoneyToProvider('31271',
   [
    'id' => time() . '000',
    'sum' => [
        'amount'   => $summa,
        'currency' => '643'
    ], 
    'paymentMethod' => [
        'type' => 'Account',
        'accountId' => '643'
    ],
    'fields' => [
        'account' => $nomer
    ]
]
);

}
function mobile($nomer,$summa){
require ($_SERVER['DOCUMENT_ROOT'].'/core/qiwi.class.php');
    $phone = file_get_contents('https://wordpay.ru/moduls/output/qiwimobile.php?phone='.$nomer);
    if($phone == 0){
    $_SESSION['message'] = 'Произошла ошибка.';
    header('Location: /platform/moneyback.aspx');
    exit;
    }
    $token = '375d3c4e48767b2bd4fc3306affe5803';
    $qiwi = new Qiwi('79966227613', $token);
   $sendMoney = $qiwi->sendMoneyToProvider($phone,
   [
    'id' => time() . '000',
    'sum' => [
        'amount'   => $summa,
        'currency' => '643'
    ], 
    'paymentMethod' => [
        'type' => 'Account',
        'accountId' => '643'
    ],
    'fields' => [
        'account' => $nomer
    ]
]
);

}
function ya($nomer,$summa){
require ($_SERVER['DOCUMENT_ROOT'].'/core/ya.class.php');
$ya -> send($nomer,$summa);
}
function card($nomer,$summa){
require ($_SERVER['DOCUMENT_ROOT'].'/core/qiwi.class.php');
    $phone = file_get_contents('https://wordpay.ru/moduls/output/qiwicard.php?phone='.$nomer);
    if($phone == 0){
    $_SESSION['message'] = 'Произошла ошибка.';
    header('Location: /platform/moneyback.aspx');
    exit;
    }
    $token = '375d3c4e48767b2bd4fc3306affe5803';
    $qiwi = new Qiwi('79966227613', $token);
   $sendMoney = $qiwi->sendMoneyToProvider($phone,
   [
    'id' => time() . '000',
    'sum' => [
        'amount'   => $summa,
        'currency' => '643'
    ], 
    'paymentMethod' => [
        'type' => 'Account',
        'accountId' => '643'
    ],
    'fields' => [
        'account' => $nomer
    ]
]
);

}
